---
updatedAt: 2026-07-14T09:04:00.000Z
agentTools:
  projectIndex: https://apidocs.picussecurity.com/llms.txt
---

# # Delete Custom Detection Content

Deletes a custom detection content item by ID.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "<p class=\"body-1\">You can access the simulation raw data using the Rest API. Scope of the API includes; Simulation list, Simulation Details, Threat/Objective/Action Results, Results mapped to MITRE ATTC&K and Unified Kill Chain frameworks, Detection Analysis Results, Validated Logs & Alerts with SIEM & EDR integration.</p>\n<p class=\"body-1\">OAuth2 protocol is used to authorize Refresh/Access tokens. To obtain the API, you should generate a refresh token and then request an access token using the /v1/auth/token endpoint. The refresh token will be valid for 6 months, whereas the access token will be available for 2 hours. After getting the access token, add Authorization: Bearer {accessToken} to the header to request access to the below endpoints.</p>\n<p class=\"body-1\">Endpoints returning data with a lot of load works with the pagination method. You can use the offset and limit parameters to get the correct page.</p>\n\n<i class=\"body-1\">Your usage will be limited with your Picus license.</i>",
    "title": "Picus Rest API",
    "version": "1.0"
  },
  "paths": {
    "/v1/mitigation/detection-content/custom/{content_id}": {
      "delete": {
        "security": [
          {
            "Access-Token": []
          }
        ],
        "description": "Deletes a custom detection content item by ID.",
        "tags": [
          "Mitigation"
        ],
        "summary": "# Delete Custom Detection Content",
        "operationId": "deleteCustomDetectionContentParams",
        "parameters": [
          {
            "x-go-name": "ContentID",
            "description": "Unique identifier (UUID) of the custom detection content item to delete.",
            "name": "content_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/DeleteCustomDetectionContentResponse"
          },
          "422": {
            "$ref": "#/components/responses/validationErrorSwagger"
          },
          "default": {
            "$ref": "#/components/responses/genericErrorSwagger"
          }
        }
      }
    }
  },
  "security": [
    {
      "Access-Token": []
    }
  ],
  "servers": [
    {
      "url": "https://api.picussecurity.com"
    }
  ],
  "components": {
    "responses": {
      "DeleteCustomDetectionContentResponse": {
        "description": "DeleteCustomDetectionContentResponse",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/DeleteCustomDetectionContentInternalResponse"
            }
          }
        }
      },
      "genericErrorSwagger": {
        "description": "genericErrorSwagger is represents the erroneous cases",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "error_code": {
                  "description": "Error Code is optional. It is using for define specific error types.",
                  "type": "integer",
                  "format": "int64",
                  "x-go-name": "ErrorCode",
                  "example": 1001
                },
                "errors": {
                  "description": "Errors are optional. If there are multiple error, this field gives details.",
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  },
                  "x-go-name": "Errors",
                  "example": "[\"error1\", \"error2\"]"
                },
                "message": {
                  "description": "Error Message that contains information about error",
                  "type": "string",
                  "x-go-name": "Message"
                }
              }
            }
          }
        }
      },
      "validationErrorSwagger": {
        "description": "validationErrorSwagger is represents the erroneous cases",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "errors": {
                  "description": "Validation Error List",
                  "type": "object",
                  "additionalProperties": {
                    "type": "string"
                  },
                  "x-go-name": "Errors",
                  "example": {
                    "param": "tag=max, param=25, given value=1000"
                  }
                },
                "message": {
                  "description": "Message will be \"validation error\"",
                  "type": "string",
                  "x-go-name": "Message",
                  "example": "validation error"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "Access-Token": {
        "description": "After getting the access token, type <i>Bearer accessToken</i> to the Value input box to request access to the below endpoints For example <i>Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9</i>",
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "DeleteCustomDetectionContentInternalResponse": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "x-go-name": "Message"
          }
        },
        "x-go-package": "github.com/picusnext/picus-digital/go/customer-api/internal_request"
      }
    }
  }
}
```